Kubernetes Cluster
- PATCH
- /workspaces
- /:workspace
- /targets
- /:target_id
Update Kubernetes Cluster target configuration
Request
REQUIRED SCOPES
TARGET_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspaceExample: "my-company"
target_idrequiredstring
Target unique identifier (hash ID)Example: "tgt-1234567890abcdef"
BODY PARAMETERS
typestring
The type of the targetValue: K8S_CLUSTER
identifierrequiredstring
A human-readable ID. Alphanumeric characters, underscores, and hyphens (hyphens cannot appear at the start or end).clusterrequiredstring
The ID of the cluster or fully qualified identifier for the cluster. Required when the platform is set to GKEauthrequiredK8sAuthView
Kubernetes cluster authentication methodidstring
The ID of the targetnamestring
The name of the targetprojectShortProjectView
Short representation of a projectpipelineShortPipelineView
Short representation of a pipelineenvironmentShortEnvironmentView
Short representation of an environment objectpermissionsPermissionsView
Access permissions configurationpipelines_access_levelstring enum
Pipelines access level for this targetAllowed enum:
DENIED,READ_ONLY,USE_ONLY,BLIND,RUN_ONLY,READ_WRITE,MANAGE,DEFAULT,ALLOWED,STAGE,COMMITallowed_pipelinesAllowedPipelineView[]
List of specific pipelines allowed to use this targetsandboxes_access_levelstring enum
Sandboxes access level for this targetAllowed enum:
DENIED,READ_ONLY,USE_ONLY,BLIND,RUN_ONLY,READ_WRITE,MANAGE,DEFAULT,ALLOWED,STAGE,COMMITallowed_sandboxesAllowedSandboxView[]
List of specific sandboxes allowed to use this targetdisabledboolean
Indicates if this target is disabled (default: false)tagsstring[]
The list of tags associated with the targetConstraints: Unique items required
use_asUseAsView
Defines how the target can be used (as deployment target, proxy, or both)notestring
Note for this resourceagent_notestring
YAML note for AI agents operating on this resourceintegrationstring
The integration. Required when adding GKE/EKS/AKS/DOKSregionstring
EKS region, e.g. eu-central-1proxyTargetK8sProxyView
SSH proxy target for tunneling to private MSSQL serversResponse
RESPONSE BODY
typestring
The type of the targetValue: K8S_CLUSTER
urlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksidstring
The ID of the targetidentifierrequiredstring
A human-readable ID. Alphanumeric characters, underscores, and hyphens (hyphens cannot appear at the start or end).namestring
The name of the targetprojectShortProjectView
Short representation of a projectpipelineShortPipelineView
Short representation of a pipelineenvironmentShortEnvironmentView
Short representation of an environment objectpermissionsPermissionsView
Access permissions configurationpipelines_access_levelstring enum
Pipelines access level for this targetAllowed enum:
DENIED,READ_ONLY,USE_ONLY,BLIND,RUN_ONLY,READ_WRITE,MANAGE,DEFAULT,ALLOWED,STAGE,COMMITallowed_pipelinesAllowedPipelineView[]
List of specific pipelines allowed to use this targetsandboxes_access_levelstring enum
Sandboxes access level for this targetAllowed enum:
DENIED,READ_ONLY,USE_ONLY,BLIND,RUN_ONLY,READ_WRITE,MANAGE,DEFAULT,ALLOWED,STAGE,COMMITallowed_sandboxesAllowedSandboxView[]
List of specific sandboxes allowed to use this targetdisabledboolean
Indicates if this target is disabled (default: false)tagsstring[]
The list of tags associated with the targetConstraints: Unique items required
use_asUseAsView
Defines how the target can be used (as deployment target, proxy, or both)notestring
Note for this resourceagent_notestring
YAML note for AI agents operating on this resourceintegrationstring
The integration. Required when adding GKE/EKS/AKS/DOKSclusterrequiredstring
The ID of the cluster or fully qualified identifier for the cluster. Required when the platform is set to GKEregionstring
EKS region, e.g. eu-central-1proxyTargetK8sProxyView
SSH proxy target for tunneling to private MSSQL serversauthrequiredK8sAuthView
Kubernetes cluster authentication methodLast modified on Aug 3, 2026
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/targets/:target_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"type": "K8S_CLUSTER",
"identifier": "k8s-production-cluster",
"name": "Production Kubernetes Cluster",
"cluster": "https://k8s-api.example.com:6443",
"auth": {
"method": "TOKEN",
"token": "eyJhbGciOiJSUzI1NiIsImtpZCI6IjEyMzQ1NiJ9..."
},
"tags": [
"kubernetes",
"production",
"cluster"
]
}'STATUS200 OK